ubuntu/+source/gutenprint:applied/ubuntu/saucy-proposed

Last commit made on 2013-08-13
Get this branch:
git clone -b applied/ubuntu/saucy-proposed https://git.launchpad.net/ubuntu/+source/gutenprint
Members of Ubuntu Server Dev import team can upload to this branch. Log in for directions.

Branch merges

Branch information

Name:
applied/ubuntu/saucy-proposed
Repository:
lp:ubuntu/+source/gutenprint

Recent commits

c40a33b... by Till Kamppeter on 2013-08-13

Import patches-applied version 5.2.9-1ubuntu2 to applied/ubuntu/saucy-proposed

Imported using git-ubuntu import.

Changelog parent: 21661e25ebc47af60154dfacae3da6f79af85bd1
Unapplied parent: fd4c4a0de012eb7ecab4c49586e4df571d606a86

New changelog entries:
  * debian/control: printer-driver-gutenprint: Replaced dependency on
    ghostscript-cups by "cups-filters (>= 1.0.36) | ghostscript-cups" as
    Ghostscript's CUPS filters moved to cups-filters from cups-filters
    1.0.36/Ghostscript 9.08 on.
  * debian/rules: Do not depend on CUPS version number to build with CUPS
    1.2 enhancements and without CUPS PPD files. This allows also building
    with CUPS versions like 1.7rc1.

fd4c4a0... by Till Kamppeter on 2013-08-13

Import patches-unapplied version 5.2.9-1ubuntu2 to ubuntu/saucy-proposed

Imported using git-ubuntu import.

Changelog parent: c9194286ca7db1abd33784ffb8c55ab5ea65a178

New changelog entries:
  * debian/control: printer-driver-gutenprint: Replaced dependency on
    ghostscript-cups by "cups-filters (>= 1.0.36) | ghostscript-cups" as
    Ghostscript's CUPS filters moved to cups-filters from cups-filters
    1.0.36/Ghostscript 9.08 on.
  * debian/rules: Do not depend on CUPS version number to build with CUPS
    1.2 enhancements and without CUPS PPD files. This allows also building
    with CUPS versions like 1.7rc1.

21661e2... by Till Kamppeter on 2012-07-11

Import patches-applied version 5.2.9-1ubuntu1 to applied/ubuntu/quantal

Imported using git-ubuntu import.

Changelog parent: 48f13e2d44a93044c5820b6785f89bd5461fd9db
Unapplied parent: c9194286ca7db1abd33784ffb8c55ab5ea65a178

New changelog entries:
  * Merge from Debian unstable. Remaining changes:
    - debian/printer-driver-gutenprint.ppd-updater,
      debian/foomatic-db-gutenprint.ppd-updater,
      debian/printer-driver-gutenprint.postinst,
      debian/printer-driver-gutenprint.install.in,
      debian/foomatic-db-gutenprint.install.in,
      debian/rules:
      Use the PPD updater script of the cups package to update the PPD files
      (in /etc/cups/ppd/) of all already existing print queues using this
      driver when updating this package. In contrary to Gutenprint's own
      cups-genppdupdate the script of the cups package can also migrate PPD
      files. In our case we migrate Foomatic/IJS PPD files to the equivalent
      PPDs using the CUPS Raster driver of Gutenprint and we replace simplified
      PPD files by the corresponding standard PPDs, as we discontinue the
      simplified PPDs in Ubuntu to reduce the delta to Debian and to make
      printer model/driver listings in printer setup tools less cluttered.
      printer-driver-gutenprint.postinst is not needed any more and therefore
      removed.
    - debian/control: Removed dependency on perl, all what is needed from Perl
      is in perl-base.
    - debian/ubuntu/apport-hook.py, debian/rules: Install Apport hook if the
      package is built under Ubuntu (decides via "dpkg-vendor").
    - debian/control: Added transitional package ijsgutenprint-ppds. The
      Ubuntu-only package with this name got dropped in favor of migrating
      users of the IJS flavor of Gutenprint to the CUPS Raster flavor.
  * New upstream stable release.
  * Drop patches against 5.2.8-1 to correct library versioning and
    linking, which have been incorporated upstream.
  * New upstream stable release.
  * debian/README.building: Document git workflow.
  * debian/control:
    - Upgrade Standards-Version to 3.9.3
    - Require debhelper >= 9.
  * debian/rules:
    - Re-enable NLS with --enable-nls.
  * printer-driver-gutenprint no longer installs profile.jpg.
  * Re-enable NLS with --enable-nls.

c919428... by Till Kamppeter on 2012-07-11

Import patches-unapplied version 5.2.9-1ubuntu1 to ubuntu/quantal

Imported using git-ubuntu import.

Changelog parent: 2b84ad8fed1a3eb67abcb5c39a7fb7be3e647a50

New changelog entries:
  * Merge from Debian unstable. Remaining changes:
    - debian/printer-driver-gutenprint.ppd-updater,
      debian/foomatic-db-gutenprint.ppd-updater,
      debian/printer-driver-gutenprint.postinst,
      debian/printer-driver-gutenprint.install.in,
      debian/foomatic-db-gutenprint.install.in,
      debian/rules:
      Use the PPD updater script of the cups package to update the PPD files
      (in /etc/cups/ppd/) of all already existing print queues using this
      driver when updating this package. In contrary to Gutenprint's own
      cups-genppdupdate the script of the cups package can also migrate PPD
      files. In our case we migrate Foomatic/IJS PPD files to the equivalent
      PPDs using the CUPS Raster driver of Gutenprint and we replace simplified
      PPD files by the corresponding standard PPDs, as we discontinue the
      simplified PPDs in Ubuntu to reduce the delta to Debian and to make
      printer model/driver listings in printer setup tools less cluttered.
      printer-driver-gutenprint.postinst is not needed any more and therefore
      removed.
    - debian/control: Removed dependency on perl, all what is needed from Perl
      is in perl-base.
    - debian/ubuntu/apport-hook.py, debian/rules: Install Apport hook if the
      package is built under Ubuntu (decides via "dpkg-vendor").
    - debian/control: Added transitional package ijsgutenprint-ppds. The
      Ubuntu-only package with this name got dropped in favor of migrating
      users of the IJS flavor of Gutenprint to the CUPS Raster flavor.

2b84ad8... by Roger Leigh on 2012-07-09

Import patches-unapplied version 5.2.9-1 to debian/sid

Imported using git-ubuntu import.

Changelog parent: 085790ca5de5e39417dcfb80692bb59eac1447fc

New changelog entries:
  * New upstream stable release.
  * Drop patches against 5.2.8-1 to correct library versioning and
    linking, which have been incorporated upstream.

085790c... by Roger Leigh on 2012-06-21

Import patches-unapplied version 5.2.8-1 to debian/sid

Imported using git-ubuntu import.

Changelog parent: 5ff6f3dc248821715e4f62bd1afd06d1e62b8a8d

New changelog entries:
  * New upstream stable release.
  * debian/README.building: Document git workflow.
  * debian/control:
    - Upgrade Standards-Version to 3.9.3
    - Require debhelper >= 9.
  * debian/rules:
    - Re-enable NLS with --enable-nls.
  * printer-driver-gutenprint no longer installs profile.jpg.
  * Re-enable NLS with --enable-nls.

48f13e2... by Till Kamppeter on 2012-06-19

Import patches-applied version 5.2.8-0ubuntu1 to applied/ubuntu/quantal

Imported using git-ubuntu import.

Changelog parent: d0a05faa1a08fc04b4ba6e9a69a973f3e4faf3c8
Unapplied parent: 380014bf2b0325017bddcce26f8b87f7f4809b96

New changelog entries:
  * New upstream release
     - Added support for Canon PIXMA DS700, DS810, 50i, 80i, 450i, 455i, 470PD,
       475PD, 550i, 560i, 850i, 860i, 865R, 900PD, 950i, 960i, 990i, 6100i,
       6500i, 9100i, 9900i, i450X, i455X, i475D, i550X, i560X, i905D, i965,
       i990, i9950, iP90, iP90v, iP100, iP6320D, MP260, MX320, MX370, MX430,
       MX510, MX710, MX890, E500, E600, PIXUS iP2700, iP3100, iP4100,
       EPSON Stylus NX420, SX420, TX420
     - CD printing on many Canon printers.
     - Non-working Canon's removed.
     - More Japanese models supported.
     - Printer modes for most printer models are now determined by the
       media, based on information from the corresponding Windows
       driver. If an incompatible mode is selected by the user, a
       suitable mode is substituted, based on the other active
       parameters and quality setting. Modes are also substituted
       based on cartridge selection and duplex selection. Inktype is
       then automatically adjusted.
     - Added support for 8-bit inks to Canon backend, and modes using
       them.
     - Adjusted margins and page sizes of Canon printers.
     - Added borderless functionality to most Canon printers.
     - A problem whereby printing did not work at all on some Linux
       distributions has been fixed.
     - Printing on the Epson Stylus NX200, SX200, and SX205 is believed
       to be corrected.
  * debian/patches/0002-genppd-don-t-write-color-profile-information-with-br.patch,
    debian/patches/0003-upgrade-getopt.patch,
    debian/patches/0004-no-data-dumper-needed.patch,
    debian/patches/0005-use-dnointerpolate-in-ghostscript-command-lines.patch:
    Removed, change applied upstream.
  * debian/rules: Touch ppd-updater file(s) so that they have the time stamp
    of the build of this package The time stamp of the ppd-updater files tells
    CUPS' trigger script whether they come from different package versions or
    not (LP: #932882).

380014b... by Till Kamppeter on 2012-06-19

Import patches-unapplied version 5.2.8-0ubuntu1 to ubuntu/quantal

Imported using git-ubuntu import.

Changelog parent: 1b19a72de30d01489cfe926d78d365540b7ca265

New changelog entries:
  * New upstream release
     - Added support for Canon PIXMA DS700, DS810, 50i, 80i, 450i, 455i, 470PD,
       475PD, 550i, 560i, 850i, 860i, 865R, 900PD, 950i, 960i, 990i, 6100i,
       6500i, 9100i, 9900i, i450X, i455X, i475D, i550X, i560X, i905D, i965,
       i990, i9950, iP90, iP90v, iP100, iP6320D, MP260, MX320, MX370, MX430,
       MX510, MX710, MX890, E500, E600, PIXUS iP2700, iP3100, iP4100,
       EPSON Stylus NX420, SX420, TX420
     - CD printing on many Canon printers.
     - Non-working Canon's removed.
     - More Japanese models supported.
     - Printer modes for most printer models are now determined by the
       media, based on information from the corresponding Windows
       driver. If an incompatible mode is selected by the user, a
       suitable mode is substituted, based on the other active
       parameters and quality setting. Modes are also substituted
       based on cartridge selection and duplex selection. Inktype is
       then automatically adjusted.
     - Added support for 8-bit inks to Canon backend, and modes using
       them.
     - Adjusted margins and page sizes of Canon printers.
     - Added borderless functionality to most Canon printers.
     - A problem whereby printing did not work at all on some Linux
       distributions has been fixed.
     - Printing on the Epson Stylus NX200, SX200, and SX205 is believed
       to be corrected.
  * debian/patches/0002-genppd-don-t-write-color-profile-information-with-br.patch,
    debian/patches/0003-upgrade-getopt.patch,
    debian/patches/0004-no-data-dumper-needed.patch,
    debian/patches/0005-use-dnointerpolate-in-ghostscript-command-lines.patch:
    Removed, change applied upstream.
  * debian/rules: Touch ppd-updater file(s) so that they have the time stamp
    of the build of this package The time stamp of the ppd-updater files tells
    CUPS' trigger script whether they come from different package versions or
    not (LP: #932882).

d0a05fa... by Till Kamppeter on 2012-03-22

Import patches-applied version 5.2.8~pre1-0ubuntu2 to applied/ubuntu/precise

Imported using git-ubuntu import.

Changelog parent: ea79e635775209ffdbe7660941a97dafab266f45
Unapplied parent: dee9fccb7ef4f703f0e79089d8b8b47c6b231208

New changelog entries:
  * debian/printer-driver-gutenprint.postinst: Use old method to update the
    PPDs of existing print queues on the transition from Gutenprint 5.2.7 to
    5.2.8 (LP: #932882, LP: #960496).
  * debian/printer-driver-gutenprint.ppd-updater: Improvement of NickName
    matching rules.

1b19a72... by Till Kamppeter on 2012-03-22

Import patches-unapplied version 5.2.8~pre1-0ubuntu2 to ubuntu/precise

Imported using git-ubuntu import.

Changelog parent: 81ccb3cb6180c55b1508cf26680d242c902bda59

New changelog entries:
  * debian/printer-driver-gutenprint.postinst: Use old method to update the
    PPDs of existing print queues on the transition from Gutenprint 5.2.7 to
    5.2.8 (LP: #932882, LP: #960496).
  * debian/printer-driver-gutenprint.ppd-updater: Improvement of NickName
    matching rules.